//const {} = require('../db/models')
const chalk = require("chalk");

module.exports = io => {
  io.on("connection", socket => {
    socket.emit("welcome", "Websockets are awesome!");
    console.log(chalk.green(`[socket.io] Connection: ${socket.id}`));
    socket.on("disconnect", async () => {
      console.log(chalk.red(`[socket.io] Disconnect: ${socket.id}`));
    });
  });
};
